com.beaglebuddy.id3.enums

## Enum EventType

- java.lang.Object
- - java.lang.Enum<EventType>
  - - com.beaglebuddy.id3.enums.EventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventType>

      public enum EventType
      extends java.lang.Enum<EventType>

  ID3v2.x event types.
  See Also:
    `EventCode`, `ID3v23FrameBodyEventTimingCodes`, `ID3v24FrameBodyEventTimingCodes`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUDIO_ENDS` audio end (start of silence)
    `AUDIO_FILE_ENDS` audio file ends
    `END_OF_INITIAL_SILENCE` end of initial silence
    `EVENT_BYTE_FOLLOWS` one more byte of events follows (all the following bytes with the value 0xFF have the same function)
    `INTERLUDE_START` interlude start
    `INTRO_END` intro end
    `INTRO_START` intro start
    `KEY_CHANGE` key change
    `MAIN_PART_END` main part end
    `MAIN_PART_START` main part start
    `OUTRO_END` outro end
    `OUTRO_START` outro start
    `PADDING` padding (has no meaning)
    `REFRAIN_END` refrain end
    `REFRAIN_START` refrain start
    `RESERVED_FOR_FUTURE_USE_0X15` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X16` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X17` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X18` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X19` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X1A` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X1B` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X1C` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X1D` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X1E` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X1F` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X20` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X21` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X22` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X23` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X24` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X25` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X26` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X27` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X28` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X29` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X2A` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X2B` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X2C` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X2D` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X2E` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X2F` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X30` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X31` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X32` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X33` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X34` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X35` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X36` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X37` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X38` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X39` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X3A` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X3B` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X3C` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X3D` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X3E` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X3F` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X40` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X41` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X42` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X43` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X44` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X45` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X46` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X47` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X48` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X49` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X4A` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X4B` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X4C` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X4D` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X4E` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X4F` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X50` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X51` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X52` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X53` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X54` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X55` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X56` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X57` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X58` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X59` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X5A` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X5B` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X5C` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X5D` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X5E` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X5F` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X60` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X61` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X62` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X63` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X64` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X65` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X66` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X67` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X68` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X69` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X6A` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X6B` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X6C` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X6D` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X6E` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X6F` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X70` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X71` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X72` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X73` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X74` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X75` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X76` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X77` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X78` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X79` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X7A` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X7B` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X7C` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X7D` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X7E` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X7F` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X80` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X81` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X82` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X83` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X84` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X85` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X86` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X87` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X88` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X89` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X8A` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X8B` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X8C` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X8D` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X8E` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X8F` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X90` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X91` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X92` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X93` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X94` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X95` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X96` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X97` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X98` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X99` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X9A` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X9B` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X9C` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X9D` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X9E` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0X9F` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XA0` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XA1` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XA2` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XA3` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XA4` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XA5` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XA6` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XA7` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XA8` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XA9` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XAA` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XAB` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XAC` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XAD` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XAE` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XAF` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XB0` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XB1` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XB2` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XB3` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XB4` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XB5` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XB6` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XB7` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XB8` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XB9` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XBA` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XBB` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XBC` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XBD` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XBE` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XBF` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XC0` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XC1` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XC2` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XC3` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XC4` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XC5` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XC6` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XC7` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XC8` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XC9` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XCA` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XCB` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XCC` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XCD` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XCE` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XCF` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XD0` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XD1` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XD2` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XD3` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XD4` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XD5` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XD6` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XD7` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XD8` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XD9` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XDA` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XDB` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XDC` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XDD` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XDE` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XDF` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XF0` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XF1` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XF2` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XF3` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XF4` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XF5` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XF6` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XF7` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XF8` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XF9` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XFA` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XFB` reserved for future use
    `RESERVED_FOR_FUTURE_USE_0XFC` reserved for future use
    `SUSTAINED_NOISE` sustained noise
    `SUSTAINED_NOISE_END` sustained noise end
    `THEME_END` theme end
    `THEME_START` theme start
    `TIME_CHANGE` time change
    `UNWANTED_NOISE` momentary unwanted noise (Snap, Crackle & Pop)
    `USER_DEFINED_EVENT_0` not predefined sync 0 - for user defined event
    `USER_DEFINED_EVENT_1` not predefined sync 1 - for user defined event
    `USER_DEFINED_EVENT_2` not predefined sync 2 - for user defined event
    `USER_DEFINED_EVENT_3` not predefined sync 3 - for user defined event
    `USER_DEFINED_EVENT_4` not predefined sync 4 - for user defined event
    `USER_DEFINED_EVENT_5` not predefined sync 5 - for user defined event
    `USER_DEFINED_EVENT_6` not predefined sync 6 - for user defined event
    `USER_DEFINED_EVENT_7` not predefined sync 7 - for user defined event
    `USER_DEFINED_EVENT_8` not predefined sync 8 - for user defined event
    `USER_DEFINED_EVENT_9` not predefined sync 9 - for user defined event
    `USER_DEFINED_EVENT_A` not predefined sync A - for user defined event
    `USER_DEFINED_EVENT_B` not predefined sync B - for user defined event
    `USER_DEFINED_EVENT_C` not predefined sync C - for user defined event
    `USER_DEFINED_EVENT_D` not predefined sync D - for user defined event
    `USER_DEFINED_EVENT_E` not predefined sync E - for user defined event
    `USER_DEFINED_EVENT_F` not predefined sync F - for user defined event
    `VARIATION_START` variation start
    `VERSE_END` verse end
    `VERSE_START` verse start

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` gets the description of the event code.
    `boolean` | `isValid()` determines whether a user may specify this value as an event.
    `java.lang.String` | `toString()` gets a string representation of the event type enum.
    `static EventType` | `valueOf(byte eventType)` converts an integral value to its corresponding event code enum.
    `static EventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PADDING

          public static final EventType PADDING

      padding (has no meaning)

    - #### END_OF_INITIAL_SILENCE

          public static final EventType END_OF_INITIAL_SILENCE

      end of initial silence

    - #### INTRO_START

          public static final EventType INTRO_START

      intro start

    - #### MAIN_PART_START

          public static final EventType MAIN_PART_START

      main part start

    - #### OUTRO_START

          public static final EventType OUTRO_START

      outro start

    - #### OUTRO_END

          public static final EventType OUTRO_END

      outro end

    - #### VERSE_START

          public static final EventType VERSE_START

      verse start

    - #### REFRAIN_START

          public static final EventType REFRAIN_START

      refrain start

    - #### INTERLUDE_START

          public static final EventType INTERLUDE_START

      interlude start

    - #### THEME_START

          public static final EventType THEME_START

      theme start

    - #### VARIATION_START

          public static final EventType VARIATION_START

      variation start

    - #### KEY_CHANGE

          public static final EventType KEY_CHANGE

      key change

    - #### TIME_CHANGE

          public static final EventType TIME_CHANGE

      time change

    - #### UNWANTED_NOISE

          public static final EventType UNWANTED_NOISE

      momentary unwanted noise (Snap, Crackle & Pop)

    - #### SUSTAINED_NOISE

          public static final EventType SUSTAINED_NOISE

      sustained noise

    - #### SUSTAINED_NOISE_END

          public static final EventType SUSTAINED_NOISE_END

      sustained noise end

    - #### INTRO_END

          public static final EventType INTRO_END

      intro end

    - #### MAIN_PART_END

          public static final EventType MAIN_PART_END

      main part end

    - #### VERSE_END

          public static final EventType VERSE_END

      verse end

    - #### REFRAIN_END

          public static final EventType REFRAIN_END

      refrain end

    - #### THEME_END

          public static final EventType THEME_END

      theme end

    - #### RESERVED_FOR_FUTURE_USE_0X15

          public static final EventType RESERVED_FOR_FUTURE_USE_0X15

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X16

          public static final EventType RESERVED_FOR_FUTURE_USE_0X16

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X17

          public static final EventType RESERVED_FOR_FUTURE_USE_0X17

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X18

          public static final EventType RESERVED_FOR_FUTURE_USE_0X18

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X19

          public static final EventType RESERVED_FOR_FUTURE_USE_0X19

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X1A

          public static final EventType RESERVED_FOR_FUTURE_USE_0X1A

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X1B

          public static final EventType RESERVED_FOR_FUTURE_USE_0X1B

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X1C

          public static final EventType RESERVED_FOR_FUTURE_USE_0X1C

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X1D

          public static final EventType RESERVED_FOR_FUTURE_USE_0X1D

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X1E

          public static final EventType RESERVED_FOR_FUTURE_USE_0X1E

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X1F

          public static final EventType RESERVED_FOR_FUTURE_USE_0X1F

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X20

          public static final EventType RESERVED_FOR_FUTURE_USE_0X20

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X21

          public static final EventType RESERVED_FOR_FUTURE_USE_0X21

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X22

          public static final EventType RESERVED_FOR_FUTURE_USE_0X22

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X23

          public static final EventType RESERVED_FOR_FUTURE_USE_0X23

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X24

          public static final EventType RESERVED_FOR_FUTURE_USE_0X24

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X25

          public static final EventType RESERVED_FOR_FUTURE_USE_0X25

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X26

          public static final EventType RESERVED_FOR_FUTURE_USE_0X26

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X27

          public static final EventType RESERVED_FOR_FUTURE_USE_0X27

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X28

          public static final EventType RESERVED_FOR_FUTURE_USE_0X28

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X29

          public static final EventType RESERVED_FOR_FUTURE_USE_0X29

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X2A

          public static final EventType RESERVED_FOR_FUTURE_USE_0X2A

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X2B

          public static final EventType RESERVED_FOR_FUTURE_USE_0X2B

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X2C

          public static final EventType RESERVED_FOR_FUTURE_USE_0X2C

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X2D

          public static final EventType RESERVED_FOR_FUTURE_USE_0X2D

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X2E

          public static final EventType RESERVED_FOR_FUTURE_USE_0X2E

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X2F

          public static final EventType RESERVED_FOR_FUTURE_USE_0X2F

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X30

          public static final EventType RESERVED_FOR_FUTURE_USE_0X30

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X31

          public static final EventType RESERVED_FOR_FUTURE_USE_0X31

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X32

          public static final EventType RESERVED_FOR_FUTURE_USE_0X32

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X33

          public static final EventType RESERVED_FOR_FUTURE_USE_0X33

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X34

          public static final EventType RESERVED_FOR_FUTURE_USE_0X34

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X35

          public static final EventType RESERVED_FOR_FUTURE_USE_0X35

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X36

          public static final EventType RESERVED_FOR_FUTURE_USE_0X36

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X37

          public static final EventType RESERVED_FOR_FUTURE_USE_0X37

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X38

          public static final EventType RESERVED_FOR_FUTURE_USE_0X38

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X39

          public static final EventType RESERVED_FOR_FUTURE_USE_0X39

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X3A

          public static final EventType RESERVED_FOR_FUTURE_USE_0X3A

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X3B

          public static final EventType RESERVED_FOR_FUTURE_USE_0X3B

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X3C

          public static final EventType RESERVED_FOR_FUTURE_USE_0X3C

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X3D

          public static final EventType RESERVED_FOR_FUTURE_USE_0X3D

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X3E

          public static final EventType RESERVED_FOR_FUTURE_USE_0X3E

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X3F

          public static final EventType RESERVED_FOR_FUTURE_USE_0X3F

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X40

          public static final EventType RESERVED_FOR_FUTURE_USE_0X40

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X41

          public static final EventType RESERVED_FOR_FUTURE_USE_0X41

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X42

          public static final EventType RESERVED_FOR_FUTURE_USE_0X42

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X43

          public static final EventType RESERVED_FOR_FUTURE_USE_0X43

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X44

          public static final EventType RESERVED_FOR_FUTURE_USE_0X44

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X45

          public static final EventType RESERVED_FOR_FUTURE_USE_0X45

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X46

          public static final EventType RESERVED_FOR_FUTURE_USE_0X46

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X47

          public static final EventType RESERVED_FOR_FUTURE_USE_0X47

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X48

          public static final EventType RESERVED_FOR_FUTURE_USE_0X48

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X49

          public static final EventType RESERVED_FOR_FUTURE_USE_0X49

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X4A

          public static final EventType RESERVED_FOR_FUTURE_USE_0X4A

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X4B

          public static final EventType RESERVED_FOR_FUTURE_USE_0X4B

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X4C

          public static final EventType RESERVED_FOR_FUTURE_USE_0X4C

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X4D

          public static final EventType RESERVED_FOR_FUTURE_USE_0X4D

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X4E

          public static final EventType RESERVED_FOR_FUTURE_USE_0X4E

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X4F

          public static final EventType RESERVED_FOR_FUTURE_USE_0X4F

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X50

          public static final EventType RESERVED_FOR_FUTURE_USE_0X50

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X51

          public static final EventType RESERVED_FOR_FUTURE_USE_0X51

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X52

          public static final EventType RESERVED_FOR_FUTURE_USE_0X52

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X53

          public static final EventType RESERVED_FOR_FUTURE_USE_0X53

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X54

          public static final EventType RESERVED_FOR_FUTURE_USE_0X54

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X55

          public static final EventType RESERVED_FOR_FUTURE_USE_0X55

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X56

          public static final EventType RESERVED_FOR_FUTURE_USE_0X56

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X57

          public static final EventType RESERVED_FOR_FUTURE_USE_0X57

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X58

          public static final EventType RESERVED_FOR_FUTURE_USE_0X58

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X59

          public static final EventType RESERVED_FOR_FUTURE_USE_0X59

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X5A

          public static final EventType RESERVED_FOR_FUTURE_USE_0X5A

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X5B

          public static final EventType RESERVED_FOR_FUTURE_USE_0X5B

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X5C

          public static final EventType RESERVED_FOR_FUTURE_USE_0X5C

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X5D

          public static final EventType RESERVED_FOR_FUTURE_USE_0X5D

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X5E

          public static final EventType RESERVED_FOR_FUTURE_USE_0X5E

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X5F

          public static final EventType RESERVED_FOR_FUTURE_USE_0X5F

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X60

          public static final EventType RESERVED_FOR_FUTURE_USE_0X60

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X61

          public static final EventType RESERVED_FOR_FUTURE_USE_0X61

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X62

          public static final EventType RESERVED_FOR_FUTURE_USE_0X62

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X63

          public static final EventType RESERVED_FOR_FUTURE_USE_0X63

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X64

          public static final EventType RESERVED_FOR_FUTURE_USE_0X64

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X65

          public static final EventType RESERVED_FOR_FUTURE_USE_0X65

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X66

          public static final EventType RESERVED_FOR_FUTURE_USE_0X66

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X67

          public static final EventType RESERVED_FOR_FUTURE_USE_0X67

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X68

          public static final EventType RESERVED_FOR_FUTURE_USE_0X68

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X69

          public static final EventType RESERVED_FOR_FUTURE_USE_0X69

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X6A

          public static final EventType RESERVED_FOR_FUTURE_USE_0X6A

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X6B

          public static final EventType RESERVED_FOR_FUTURE_USE_0X6B

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X6C

          public static final EventType RESERVED_FOR_FUTURE_USE_0X6C

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X6D

          public static final EventType RESERVED_FOR_FUTURE_USE_0X6D

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X6E

          public static final EventType RESERVED_FOR_FUTURE_USE_0X6E

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X6F

          public static final EventType RESERVED_FOR_FUTURE_USE_0X6F

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X70

          public static final EventType RESERVED_FOR_FUTURE_USE_0X70

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X71

          public static final EventType RESERVED_FOR_FUTURE_USE_0X71

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X72

          public static final EventType RESERVED_FOR_FUTURE_USE_0X72

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X73

          public static final EventType RESERVED_FOR_FUTURE_USE_0X73

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X74

          public static final EventType RESERVED_FOR_FUTURE_USE_0X74

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X75

          public static final EventType RESERVED_FOR_FUTURE_USE_0X75

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X76

          public static final EventType RESERVED_FOR_FUTURE_USE_0X76

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X77

          public static final EventType RESERVED_FOR_FUTURE_USE_0X77

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X78

          public static final EventType RESERVED_FOR_FUTURE_USE_0X78

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X79

          public static final EventType RESERVED_FOR_FUTURE_USE_0X79

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X7A

          public static final EventType RESERVED_FOR_FUTURE_USE_0X7A

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X7B

          public static final EventType RESERVED_FOR_FUTURE_USE_0X7B

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X7C

          public static final EventType RESERVED_FOR_FUTURE_USE_0X7C

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X7D

          public static final EventType RESERVED_FOR_FUTURE_USE_0X7D

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X7E

          public static final EventType RESERVED_FOR_FUTURE_USE_0X7E

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X7F

          public static final EventType RESERVED_FOR_FUTURE_USE_0X7F

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X80

          public static final EventType RESERVED_FOR_FUTURE_USE_0X80

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X81

          public static final EventType RESERVED_FOR_FUTURE_USE_0X81

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X82

          public static final EventType RESERVED_FOR_FUTURE_USE_0X82

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X83

          public static final EventType RESERVED_FOR_FUTURE_USE_0X83

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X84

          public static final EventType RESERVED_FOR_FUTURE_USE_0X84

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X85

          public static final EventType RESERVED_FOR_FUTURE_USE_0X85

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X86

          public static final EventType RESERVED_FOR_FUTURE_USE_0X86

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X87

          public static final EventType RESERVED_FOR_FUTURE_USE_0X87

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X88

          public static final EventType RESERVED_FOR_FUTURE_USE_0X88

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X89

          public static final EventType RESERVED_FOR_FUTURE_USE_0X89

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X8A

          public static final EventType RESERVED_FOR_FUTURE_USE_0X8A

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X8B

          public static final EventType RESERVED_FOR_FUTURE_USE_0X8B

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X8C

          public static final EventType RESERVED_FOR_FUTURE_USE_0X8C

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X8D

          public static final EventType RESERVED_FOR_FUTURE_USE_0X8D

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X8E

          public static final EventType RESERVED_FOR_FUTURE_USE_0X8E

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X8F

          public static final EventType RESERVED_FOR_FUTURE_USE_0X8F

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X90

          public static final EventType RESERVED_FOR_FUTURE_USE_0X90

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X91

          public static final EventType RESERVED_FOR_FUTURE_USE_0X91

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X92

          public static final EventType RESERVED_FOR_FUTURE_USE_0X92

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X93

          public static final EventType RESERVED_FOR_FUTURE_USE_0X93

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X94

          public static final EventType RESERVED_FOR_FUTURE_USE_0X94

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X95

          public static final EventType RESERVED_FOR_FUTURE_USE_0X95

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X96

          public static final EventType RESERVED_FOR_FUTURE_USE_0X96

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X97

          public static final EventType RESERVED_FOR_FUTURE_USE_0X97

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X98

          public static final EventType RESERVED_FOR_FUTURE_USE_0X98

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X99

          public static final EventType RESERVED_FOR_FUTURE_USE_0X99

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X9A

          public static final EventType RESERVED_FOR_FUTURE_USE_0X9A

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X9B

          public static final EventType RESERVED_FOR_FUTURE_USE_0X9B

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X9C

          public static final EventType RESERVED_FOR_FUTURE_USE_0X9C

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X9D

          public static final EventType RESERVED_FOR_FUTURE_USE_0X9D

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X9E

          public static final EventType RESERVED_FOR_FUTURE_USE_0X9E

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0X9F

          public static final EventType RESERVED_FOR_FUTURE_USE_0X9F

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XA0

          public static final EventType RESERVED_FOR_FUTURE_USE_0XA0

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XA1

          public static final EventType RESERVED_FOR_FUTURE_USE_0XA1

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XA2

          public static final EventType RESERVED_FOR_FUTURE_USE_0XA2

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XA3

          public static final EventType RESERVED_FOR_FUTURE_USE_0XA3

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XA4

          public static final EventType RESERVED_FOR_FUTURE_USE_0XA4

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XA5

          public static final EventType RESERVED_FOR_FUTURE_USE_0XA5

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XA6

          public static final EventType RESERVED_FOR_FUTURE_USE_0XA6

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XA7

          public static final EventType RESERVED_FOR_FUTURE_USE_0XA7

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XA8

          public static final EventType RESERVED_FOR_FUTURE_USE_0XA8

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XA9

          public static final EventType RESERVED_FOR_FUTURE_USE_0XA9

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XAA

          public static final EventType RESERVED_FOR_FUTURE_USE_0XAA

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XAB

          public static final EventType RESERVED_FOR_FUTURE_USE_0XAB

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XAC

          public static final EventType RESERVED_FOR_FUTURE_USE_0XAC

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XAD

          public static final EventType RESERVED_FOR_FUTURE_USE_0XAD

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XAE

          public static final EventType RESERVED_FOR_FUTURE_USE_0XAE

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XAF

          public static final EventType RESERVED_FOR_FUTURE_USE_0XAF

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XB0

          public static final EventType RESERVED_FOR_FUTURE_USE_0XB0

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XB1

          public static final EventType RESERVED_FOR_FUTURE_USE_0XB1

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XB2

          public static final EventType RESERVED_FOR_FUTURE_USE_0XB2

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XB3

          public static final EventType RESERVED_FOR_FUTURE_USE_0XB3

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XB4

          public static final EventType RESERVED_FOR_FUTURE_USE_0XB4

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XB5

          public static final EventType RESERVED_FOR_FUTURE_USE_0XB5

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XB6

          public static final EventType RESERVED_FOR_FUTURE_USE_0XB6

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XB7

          public static final EventType RESERVED_FOR_FUTURE_USE_0XB7

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XB8

          public static final EventType RESERVED_FOR_FUTURE_USE_0XB8

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XB9

          public static final EventType RESERVED_FOR_FUTURE_USE_0XB9

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XBA

          public static final EventType RESERVED_FOR_FUTURE_USE_0XBA

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XBB

          public static final EventType RESERVED_FOR_FUTURE_USE_0XBB

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XBC

          public static final EventType RESERVED_FOR_FUTURE_USE_0XBC

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XBD

          public static final EventType RESERVED_FOR_FUTURE_USE_0XBD

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XBE

          public static final EventType RESERVED_FOR_FUTURE_USE_0XBE

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XBF

          public static final EventType RESERVED_FOR_FUTURE_USE_0XBF

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XC0

          public static final EventType RESERVED_FOR_FUTURE_USE_0XC0

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XC1

          public static final EventType RESERVED_FOR_FUTURE_USE_0XC1

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XC2

          public static final EventType RESERVED_FOR_FUTURE_USE_0XC2

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XC3

          public static final EventType RESERVED_FOR_FUTURE_USE_0XC3

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XC4

          public static final EventType RESERVED_FOR_FUTURE_USE_0XC4

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XC5

          public static final EventType RESERVED_FOR_FUTURE_USE_0XC5

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XC6

          public static final EventType RESERVED_FOR_FUTURE_USE_0XC6

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XC7

          public static final EventType RESERVED_FOR_FUTURE_USE_0XC7

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XC8

          public static final EventType RESERVED_FOR_FUTURE_USE_0XC8

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XC9

          public static final EventType RESERVED_FOR_FUTURE_USE_0XC9

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XCA

          public static final EventType RESERVED_FOR_FUTURE_USE_0XCA

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XCB

          public static final EventType RESERVED_FOR_FUTURE_USE_0XCB

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XCC

          public static final EventType RESERVED_FOR_FUTURE_USE_0XCC

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XCD

          public static final EventType RESERVED_FOR_FUTURE_USE_0XCD

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XCE

          public static final EventType RESERVED_FOR_FUTURE_USE_0XCE

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XCF

          public static final EventType RESERVED_FOR_FUTURE_USE_0XCF

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XD0

          public static final EventType RESERVED_FOR_FUTURE_USE_0XD0

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XD1

          public static final EventType RESERVED_FOR_FUTURE_USE_0XD1

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XD2

          public static final EventType RESERVED_FOR_FUTURE_USE_0XD2

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XD3

          public static final EventType RESERVED_FOR_FUTURE_USE_0XD3

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XD4

          public static final EventType RESERVED_FOR_FUTURE_USE_0XD4

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XD5

          public static final EventType RESERVED_FOR_FUTURE_USE_0XD5

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XD6

          public static final EventType RESERVED_FOR_FUTURE_USE_0XD6

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XD7

          public static final EventType RESERVED_FOR_FUTURE_USE_0XD7

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XD8

          public static final EventType RESERVED_FOR_FUTURE_USE_0XD8

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XD9

          public static final EventType RESERVED_FOR_FUTURE_USE_0XD9

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XDA

          public static final EventType RESERVED_FOR_FUTURE_USE_0XDA

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XDB

          public static final EventType RESERVED_FOR_FUTURE_USE_0XDB

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XDC

          public static final EventType RESERVED_FOR_FUTURE_USE_0XDC

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XDD

          public static final EventType RESERVED_FOR_FUTURE_USE_0XDD

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XDE

          public static final EventType RESERVED_FOR_FUTURE_USE_0XDE

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XDF

          public static final EventType RESERVED_FOR_FUTURE_USE_0XDF

      reserved for future use

    - #### USER_DEFINED_EVENT_0

          public static final EventType USER_DEFINED_EVENT_0

      not predefined sync 0 - for user defined event

    - #### USER_DEFINED_EVENT_1

          public static final EventType USER_DEFINED_EVENT_1

      not predefined sync 1 - for user defined event

    - #### USER_DEFINED_EVENT_2

          public static final EventType USER_DEFINED_EVENT_2

      not predefined sync 2 - for user defined event

    - #### USER_DEFINED_EVENT_3

          public static final EventType USER_DEFINED_EVENT_3

      not predefined sync 3 - for user defined event

    - #### USER_DEFINED_EVENT_4

          public static final EventType USER_DEFINED_EVENT_4

      not predefined sync 4 - for user defined event

    - #### USER_DEFINED_EVENT_5

          public static final EventType USER_DEFINED_EVENT_5

      not predefined sync 5 - for user defined event

    - #### USER_DEFINED_EVENT_6

          public static final EventType USER_DEFINED_EVENT_6

      not predefined sync 6 - for user defined event

    - #### USER_DEFINED_EVENT_7

          public static final EventType USER_DEFINED_EVENT_7

      not predefined sync 7 - for user defined event

    - #### USER_DEFINED_EVENT_8

          public static final EventType USER_DEFINED_EVENT_8

      not predefined sync 8 - for user defined event

    - #### USER_DEFINED_EVENT_9

          public static final EventType USER_DEFINED_EVENT_9

      not predefined sync 9 - for user defined event

    - #### USER_DEFINED_EVENT_A

          public static final EventType USER_DEFINED_EVENT_A

      not predefined sync A - for user defined event

    - #### USER_DEFINED_EVENT_B

          public static final EventType USER_DEFINED_EVENT_B

      not predefined sync B - for user defined event

    - #### USER_DEFINED_EVENT_C

          public static final EventType USER_DEFINED_EVENT_C

      not predefined sync C - for user defined event

    - #### USER_DEFINED_EVENT_D

          public static final EventType USER_DEFINED_EVENT_D

      not predefined sync D - for user defined event

    - #### USER_DEFINED_EVENT_E

          public static final EventType USER_DEFINED_EVENT_E

      not predefined sync E - for user defined event

    - #### USER_DEFINED_EVENT_F

          public static final EventType USER_DEFINED_EVENT_F

      not predefined sync F - for user defined event

    - #### RESERVED_FOR_FUTURE_USE_0XF0

          public static final EventType RESERVED_FOR_FUTURE_USE_0XF0

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XF1

          public static final EventType RESERVED_FOR_FUTURE_USE_0XF1

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XF2

          public static final EventType RESERVED_FOR_FUTURE_USE_0XF2

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XF3

          public static final EventType RESERVED_FOR_FUTURE_USE_0XF3

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XF4

          public static final EventType RESERVED_FOR_FUTURE_USE_0XF4

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XF5

          public static final EventType RESERVED_FOR_FUTURE_USE_0XF5

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XF6

          public static final EventType RESERVED_FOR_FUTURE_USE_0XF6

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XF7

          public static final EventType RESERVED_FOR_FUTURE_USE_0XF7

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XF8

          public static final EventType RESERVED_FOR_FUTURE_USE_0XF8

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XF9

          public static final EventType RESERVED_FOR_FUTURE_USE_0XF9

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XFA

          public static final EventType RESERVED_FOR_FUTURE_USE_0XFA

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XFB

          public static final EventType RESERVED_FOR_FUTURE_USE_0XFB

      reserved for future use

    - #### RESERVED_FOR_FUTURE_USE_0XFC

          public static final EventType RESERVED_FOR_FUTURE_USE_0XFC

      reserved for future use

    - #### AUDIO_ENDS

          public static final EventType AUDIO_ENDS

      audio end (start of silence)

    - #### AUDIO_FILE_ENDS

          public static final EventType AUDIO_FILE_ENDS

      audio file ends

    - #### EVENT_BYTE_FOLLOWS

          public static final EventType EVENT_BYTE_FOLLOWS

      one more byte of events follows (all the following bytes with the value 0xFF have the same function)

  - ### Method Detail

    - #### values

          public static EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventType c : EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

      gets the description of the event code.
      Returns:
        the description of the event code.

    - #### isValid

          public boolean isValid()

      determines whether a user may specify this value as an event. Some event codes are reserved for future use and therefore are not to be used at this time.
      Returns:
        whether a user may specify this value.

    - #### valueOf

          public static EventType valueOf(byte eventType)
                                   throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding event code enum. The event codes are:

      Value | Description
      --- | ---
      0x00 | padding (has no meaning)
      0x01 | end of initial silence
      0x02 | intro start
      0x03 | mainpart start
      0x04 | outro start
      0x05 | outro end
      0x06 | verse start
      0x07 | refrain start
      0x08 | interlude start
      0x09 | theme start
      0x0A | variation start
      0x0B | key change
      0x0C | time change
      0x0D | momentary unwanted noise (Snap, Crackle & Pop)
      0x0E | sustained noise
      0x0F | sustained noise end
      0x10 | intro end
      0x11 | mainpart end
      0x12 | verse end
      0x13 | refrain end
      0x14 | theme end
      0x15-0xDF | reserved for future use
      0xE0-0xEF | not predefined sync 0-F. Can be used by the user to define their own events.
      0xF0-0xFC | reserved for future use
      0xFD | audio end (start of silence)
      0xFE | audio file ends
      0xFF | one more byte of events follows (all the following bytes with the value 0xFF have the same function)

      Parameters:
        `eventType` - integral value to be converted to a event type enum.
      Returns:
        an event type enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid event type.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the event type enum.
      Overrides:
        `toString` in class `java.lang.Enum<EventType>`
      Returns:
        a string representation of the event type enum.